/* $Id: closescreen.c,v 1.1.1.1 2005/12/18 17:38:09 cegger Exp $
***************************************************************************

   X server for LibGGI - CloseScreen

   Copyright (C) 1997	   Michael Krause	[rawstyle@ms.demo.org]
   Copyright (C) 1998-1999 Marcus Sundberg	[marcus@ggi-project.org]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

***************************************************************************
*/

#include "screen.h"


Bool xggiCloseScreen(int idx, ScreenPtr pScreen)
{
	int scr = xggiGetScreenIdx(pScreen);

	/* Restore overloaded functions */
	pScreen->CloseScreen = SCREEN_SCRBACKUP(scr)->CloseScreen;

	xfree(SCREEN_SCRPRIV(scr).ptr);
	SCREEN_SCRPRIV(scr).ptr = NULL;
	return (*pScreen->CloseScreen) (idx, pScreen);
}	/* xggiCloseScreen */
